# CTxtViewerAppView Class Reference

List of all members.

## Public Member Functions
void | LoadBodyL ()
void | SaveBodyL ()
void | ExportToFileL (const TDes &aFileName)
CTextMtmUi * | UiMtm ()
TMsvId | EntryId ()
TBool | OpenedForEditing ()
void | Notify ()
virtual | ~CTxtViewerAppView ()
void | InitializeMTMsL ()
void | Draw (const TRect &aRect) const
virtual void | SizeChanged ()
TKeyResponse | OfferKeyEventL (const TKeyEvent &aKeyEvent, TEventCode aType)
## Static Public Member Functions
static CTxtViewerAppView * | NewL (const TRect &aRect)
static CTxtViewerAppView * | NewLC (const TRect &aRect)
## Public Attributes
TRequestStatus * | it
CMsvOperation * | iop
CMsvEntrySelection * | iselection
TBuf8< 1 > | iscrap

## Detailed Description

Definition at line 29 of file TxtViewerAppView.h.

## Constructor & Destructor Documentation

CTxtViewerAppView::~CTxtViewerAppView | ( |  | ) | `[virtual]`

~CTxtViewerAppView Virtual Destructor.

Definition at line 315 of file TxtViewerAppView.cpp.

## Member Function Documentation

CTxtViewerAppView * CTxtViewerAppView::NewL | ( | const TRect & | aRect | ) | `[static]`

NewL. Two-phased constructor. Create a CTxtViewerAppView object, which will draw itself to aRect.

Parameters:

  | aRect | The rectangle this view will be drawn to.

Returns:
  a pointer to the created instance of CTxtViewerAppView.

Definition at line 114 of file TxtViewerAppView.cpp.

CTxtViewerAppView * CTxtViewerAppView::NewLC | ( | const TRect & | aRect | ) | `[static]`

NewLC. Two-phased constructor. Create a CTxtViewerAppView object, which will draw itself to aRect.

Parameters:

  | aRect | Rectangle this view will be drawn to.

Returns:
  A pointer to the created instance of CTxtViewerAppView.

Definition at line 126 of file TxtViewerAppView.cpp.

void CTxtViewerAppView::Draw | ( | const TRect & | aRect | ) | const

From CCoeControl, Draw Draw this CTxtViewerAppView to the screen.

Parameters:

  | aRect | the rectangle of this view that needs updating

Definition at line 332 of file TxtViewerAppView.cpp.

void CTxtViewerAppView::SizeChanged | ( |  | ) | `[virtual]`

From CoeControl, SizeChanged. Called by framework when the view size is changed.

Definition at line 341 of file TxtViewerAppView.cpp.